net.sourceforge.pmd.cpd

## Class EcmascriptTokenizer

- java.lang.Object
- - net.sourceforge.pmd.cpd.AbstractTokenizer
  - - net.sourceforge.pmd.cpd.EcmascriptTokenizer

All Implemented Interfaces:
  Tokenizer

    public class EcmascriptTokenizer
    extends AbstractTokenizer

BSD-style license; for more info see http://pmd.sourceforge.net/license.html

### Field Summary

### Fields inherited from class net.sourceforge.pmd.cpd.AbstractTokenizer

`ignorableCharacter, ignorableStmt, oneLineCommentChar, spanMultipleLinesString, stringToken`

### Constructor Summary

Constructors
Constructor and Description
`EcmascriptTokenizer()`

### Method Summary

### Methods inherited from class net.sourceforge.pmd.cpd.AbstractTokenizer

`tokenize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EcmascriptTokenizer

    public EcmascriptTokenizer()